<?php
/*
@author	Artem Serbulenko
@link	http://cmsshop.com.ua
@link	https://opencartforum.com/profile/762296-bn174uk/
@email 	serfbots@gmail.com
*/   
class ModelShippingzaberitovar extends Model {
	function getQuote($address) {
		$this->load->language('shipping/zaberitovar');

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('zaberitovar_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");

		if (!$this->config->get('zaberitovar_geo_zone_id')) {
			$status = true;
		} elseif ($query->num_rows) {
			$status = true;
		} else {
			$status = false;
		}

		$method_data = array();

		if ($status) {
			$widget_api_id = $this->config->get('zaberitovar_widget_api_id');
			$сlient_api_id = $this->config->get('zaberitovar_сlient_api_id');
			$price_cart = $this->currency->format($this->cart->getTotal(), $this->session->data['currency']);
			
			$quote_data = array();
			$zt_price_pickup = '';	
			$zt_price_express = '';

			$zt_text_pickup = '<a onclick="zt.open(selectPunkt,\''.$widget_api_id.'\',\''.(int)$price_cart.'\');" id="ztpickup">'.$this->language->get('text_pickup').'</a>';
			$zt_text_express = '<a onclick="zt_cour.open(selectPunkt,\''.$widget_api_id.'\',\''.(int)$price_cart.'\');" id="ztexpress">'.$this->language->get('text_express').'</a>';

			$zt_title_pickup = $this->language->get('title_pickup');
			$zt_title_express = $this->language->get('title_express');
			$zt_pickup = false;
			$zt_express = false;
			$zt_code_pickup = '';
			$zt_code_express = '';
			
			if(isset($this->session->data['zt_price_pickup'])){
				$zt_price_pickup = $this->session->data['zt_price_pickup'];
				$zt_text_pickup = $this->session->data['zt_text_pickup'];
				$zt_title_pickup = $this->session->data['zt_title_pickup'];
				$zt_code_pickup = $this->session->data['zt_code_pickup'];
				$zt_pickup = 'reloadAll';
			}

			if(isset($this->session->data['zt_price_express'])){
				$zt_price_express = $this->session->data['zt_price_express'];
				$zt_text_express = $this->session->data['zt_text_express'];
				$zt_title_express = $this->session->data['zt_title_express'];
				$zt_code_express = $this->session->data['zt_code_express'];
				$zt_express = 'reloadAll';
			}

			$quote_data['pickup'] = array(
				'code'         			=> 'zaberitovar.pickup',
				'title'        			=> $zt_title_pickup,
				'title_simple'			=> $this->language->get('title_pickup'),
				'select_zt'				=> $zt_pickup,
				'cost'					=> $zt_price_pickup,
				'tax_class_id' 			=> 0,
				'text'					=> $zt_text_pickup,
				'zt_code'				=> $zt_code_pickup,
			);

			$quote_data['express'] = array(
				'code'         			=> 'zaberitovar.express',
				'title'        			=> $zt_title_express,
				'title_simple'			=> $this->language->get('title_express'),
				'select_zt'				=> $zt_express,
				'cost'					=> $zt_price_express,
				'tax_class_id' 			=> 0,
				'text'					=> $zt_text_express,
				'zt_code'				=> $zt_code_express,
			);
			
			$method_data = array(
				'code'       => 'zaberitovar',
				'title'      => $this->language->get('title'),
				'quote'      => $quote_data,
				'sort_order' => $this->config->get('zaberitovar_sort_order'),
				'error'      => false
			);

		}
		
		return $method_data;
	}

}