<?php if ($shipping_method['code'] == 'zaberitovar') { ?>
    <?php if (!empty($shipping_method['title'])) { ?>
        <p><b><?php echo $shipping_method['title']; ?></b></p>
    <?php } ?>
    <?php if (!empty($shipping_method['warning'])) { ?>
        <div class="simplecheckout-error-text"><?php echo $shipping_method['warning']; ?></div>
    <?php } ?>
    <?php if (empty($shipping_method['error'])) { ?>
        <?php foreach ($shipping_method['quote'] as $quote) { ?>
            <div class="radio">
                <label for="<?php echo $quote['code']; ?>">
                    <input type="radio" name="shipping_method" data-onchange="<?php echo $quote['select_zt']; ?>" <?php echo !empty($quote['dummy']) ? 'disabled="disabled"' : '' ?> <?php echo !empty($quote['dummy']) ? 'data-dummy="true"' : '' ?> value="<?php echo $quote['code']; ?>" id="<?php echo $quote['code']; ?>" <?php if ($quote['code'] == $code) { ?>checked="checked"<?php } ?> />
                    <?php if (!empty($quote['img'])) { ?>
                        <img src="<?php echo $quote['img']; ?>" width="60" height="32" border="0" style="display:block;margin:3px;">
                    <?php } ?>
                    <span class="text"><?php echo !empty($quote['title_simple']) ? $quote['title_simple'] : ''; ?></span> <span class="price"><?php echo !empty($quote['text']) ? $quote['text'] : ''; ?></span>
                </label>
            </div>
            <?php if (!empty($quote['description'])) { ?>
                <div class="form-group">
                    <label for="<?php echo $quote['code']; ?>"><?php echo $quote['description']; ?></label>
                </div>
            <?php } ?>
        <?php } ?>
	<?php } ?>
	 	<script type="text/javascript" src="https://api.zaberi-tovar.ru/widget/pvz.js"></script>
	  	<script type="text/javascript" src="https://api.zaberi-tovar.ru/widget-cour/pvz.js"></script>
	  	<script type="text/javascript">
		    var onmessage = function(e) {
		      selectPunkt(e);
		    };
		    
		    function selectPunkt(result){
		      var zt_data = result.data;

		      $.ajax({
		        url: 'index.php?route=extension/module/zaberitovar',
		        type: 'post',
		        data: zt_data,
		        success: function(data) { 
		          
		        }
		      });
		      if(zt_data.service == "1"){ 
		        $('#ztpickup').text(zt_data.address +' (Изменить пункт выдачи)');
		        $('[value="zaberitovar.pickup"]').prop('checked','checked');
		        $('[name="shipping_method_checked"],[name="shipping_method_current"]').val('zaberitovar.pickup');
		        zt.hideOverlay();
		        zt.hideContainer();
		      }

		      if(zt_data.service == "2"){ 
		        $('#ztexpress').text(zt_data.cityname +' (Партнер - '+zt_data.partner+')' +' Изменить');
		        $('[value="zaberitovar.express"]').prop('checked','checked');
		        $('[name="shipping_method_checked"],[name="shipping_method_current"]').val('zaberitovar.express');
		        zt_cour.hideOverlay();
		        zt_cour.hideContainer();
		      }
		      reloadAll();
		    }
	  </script>
<?php } ?>


